#!/bin/sh
# Script to demonstrate symbolic stack traceback capabilities (or lack thereof)
# for simple program compiled with /Zi and different versions of visual c++

set -x

VALGRIND=/usr/local/valgrind-10904/bin/valgrind
WINE=$HOME/wine-git/wine

for dir in crash-*-Zi
do
   cd $dir
   $WINE crash.exe > wine.log 2>&1
   WINEDEBUG=+dbghelp_msc $WINE crash.exe > wine-verbose.log 2>&1
   cd ..
done

for dir in uninit-*-Zi
do
   cd $dir
   $VALGRIND --trace-children=yes --workaround-gcc296-bugs=yes -q $WINE uninit.exe > valgrind.log 2>&1
   $VALGRIND --trace-children=yes --workaround-gcc296-bugs=yes -v $WINE uninit.exe > valgrind-verbose.log 2>&1
   cd ..
done

